Checks if the function is static

- « ReflectionFunctionAbstract::isInternal

- ReflectionFunctionAbstract::isUserDefined »

- PHP Manual
- ReflectionFunctionAbstract
- Checks if the function is static

# ReflectionFunctionAbstract::isStatic

(PHP 5, PHP 7, PHP 8)

ReflectionFunctionAbstract::isStatic — Checks if the function is static

### Description

public ReflectionFunctionAbstract::isStatic(): bool

Checks if the function is static.

### Parameters

This function has no parameters.

### Return Values

`true` if the function is static, otherwise `false`

### Changelog

Version | Description
--- | ---
8.1.0 | This method has been pulled up. Previously, it was only defined in ReflectionMethod.

### See Also

- ReflectionMethod::isFinal() - Checks if method is final